NCSA Mosaic for the X Window System

# NCSA Mosaic Command-Line Flags

Herein are detailed the available NCSA Mosaic command-line flags.

-color
  Tells NCSA Mosaic to use color for its user interface; this is the default behavior.
-dil (new for version 2.0)
  Turns on delayed image loading. This is equivalent to setting the delayImageLoads X resource.
-ghbnie
  This tells Mosaic not to use the gethostbyname() call to find out what the current machine's full hostname is; if you're running on a Sun that coredumps when Mosaic tries to do this on program startup, you can either use this command-line flag or just set resource gethostbynameIsEvil to true.
-home document
  Specifies the document URL to access on program startup. See also information on specifying your home document.
-ics integer (new for version 2.0)
  Sets the maximum image cache size in kilobytes. Default is 2048. Using this command-line flag is equivalent to setting the imageCacheSize resource.
-mono
  Tells NCSA Mosaic to use monochrome colors for its user interface. (Please note that there is no X resource that has this effect; you must either specify it on the command line or compile NCSA Mosaic with the `-DMONO_DEFAULT` flag enabled.)
-ngh
  Tells NCSA Mosaic not to read or write the global history file that keeps track of where you've been in previous sessions.
-tmpdir directory
  Specifics the directory to be used to store temporary files generated by Mosaic. This directory should have plenty of space, ideally at least 10 or 20 megabytes, in case you happen to pull down a very large data file. Using this flag is equivalent to setting the resource tmpDirectory or setting the environment variable `TMPDIR`.

Back to top level Documentation Index